package com.blackledge.david.html;

import java.util.List;
import java.util.Map;

public abstract class HTMLFormField extends HTMLStyleChunk {
	private String form;
	public String type;
	public String name;
	public boolean disabled = false;
	
	@Override
	public String toString() {
		return "form:"+this.type;
	}
	
	public HTMLFormField(String form, String name, String type, Object textFont,
			boolean isBold, boolean isItalic, int textSize) {
		this.chunkType = ChunkType.FORM;

		this.form = form;
		this.name = name;
		this.type = type;
		
		this.font = textFont;
		this.isBold = isBold;
		this.isItalic = isItalic;
		this.fontSize = textSize;
	}

	public Object getFormActionSpec() {
		return this.form;
	}

	abstract public List<? extends String[]> getSubmissions();


}
