package com.blackledge.david.html;

import java.awt.Color;

public class HTMLStyleChunk extends HTMLChunk {

	public Color color;
	public boolean isLocalColor;
	public boolean isItalic;
	public boolean isBold;
	public Object font;
	public int fontSize;
	
	public HTMLStyleChunk() {
		super();
	}

	public boolean sameBaseStyleAs(HTMLStyleChunk otherChunk) {
		if(otherChunk == null) return true;
		return equal(this.font, otherChunk.font)
				&& this.isBold == otherChunk.isBold
				&& this.isItalic == otherChunk.isItalic
				&& this.fontSize == otherChunk.fontSize;
		
	}

	private boolean equal(Object a, Object b) {
		if (a == null)
			return b == null;
		if (b == null)
			return false;
		return a.equals(b);
	}

}